System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

You must implement the interface when creating a server control that needs to examine form data that is posted back to the server by the client. The contract that this interface defines allows a server control to determine whether its state should be altered as a result of the postback, and to raise the appropriate events. For more information, see Server Event Handling in ASP.NET Web Pages.

Defines methods that ASP.NET server controls must implement to automatically load postback data.

- Method
  System.Boolean `` ``

  The ASP.NET page framework tracks all the server controls that return true to this method call, and then invokes the method on those controls.

  When implemented by a class, processes postback data for an ASP.NET server control.

  true if the server control's state changes as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method raises any change events for the server control that implements the interface.

  When implemented by a class, signals the server control to notify the ASP.NET application that the state of the control has changed.

  1.0.5000.0
  2.0.0.0